Grantlee 5.3.0

Namespaces | Functions
util.h File Reference

Utility functions used throughout Grantlee. More...

`#include "context.h"`
`#include "grantlee_templates_export.h"`
`#include "safestring.h"`
`#include <QtCore/QVariant>`
Include dependency graph for util.h:

Go to the source code of this file.

## Namespaces
namespace | Grantlee
| The Grantlee namespace holds all public Grantlee API.

## Functions
std::pair< qreal, QString > | Grantlee::calcFileSize (qreal size, int unitSystem=10, qreal multiplier=1.0)
bool | Grantlee::equals (const QVariant &lhs, const QVariant &rhs)
Grantlee::SafeString | Grantlee::getSafeString (const QVariant &input)
bool | Grantlee::isSafeString (const QVariant &input)
Grantlee::SafeString | Grantlee::markForEscaping (const Grantlee::SafeString &input)
Grantlee::SafeString | Grantlee::markSafe (const Grantlee::SafeString &input)
bool | Grantlee::supportedOutputType (const QVariant &input)
QString | Grantlee::unescapeStringLiteral (const QString &input)
bool | Grantlee::variantIsTrue (const QVariant &variant)